KDE 4.9 PyKDE API Reference

- KDE's Python API

# SlaveConfig Class Reference

`from PyKDE4.kio import *`

Inherits: QObject
Namespace: KIO

## Detailed Description

SlaveConfig

This class manages the configuration for io-slaves based on protocol and host. The Scheduler makes use of this class to configure the slave whenever it has to connect to a new host.

You only need to use this class if you want to override specific configuration items of an io-slave when the io-slave is used by your application.

Normally io-slaves are being configured by "kio_<protocol>rc" configuration files. Groups defined in such files are treated as host or domain specification. Configuration items defined in a group are only applied when the slave is connecting with a host that matches with the host and/or domain specified by the group.

## Signals

| configNeeded (QString protocol, QString host)

## Methods

| __init__ (self)
KIO.MetaData | configData (self, QString protocol, QString host)
QString | configData (self, QString protocol, QString host, QString key)
| reset (self)
| setConfigData (self, QString protocol, QString host, QString key, QString value)
| setConfigData (self, QString protocol, QString host, KIO.MetaData config)

## Static Methods

KIO.SlaveConfig | self ()

## Signal Documentation

configNeeded | ( | QString | protocol,
|  | QString | host
| ) |  |  |

This signal is raised when a slave of type protocol deals with host for the first time.

Your application can use this signal to make some last minute configuration changes with setConfigData based on the host.

Signal syntax:
  `QObject.connect(source, SIGNAL("configNeeded(const QString&, const QString&)"), target_slot)`

## Method Documentation

__init__ | ( |  | self ) |

KIO.MetaData configData | ( | self, |
|  | QString | protocol,
|  | QString | host
| ) |  |  |

Query a specific configuration key for slaves of type protocol when dealing with host.

QString configData | ( | self, |
|  | QString | protocol,
|  | QString | host,
|  | QString | key
| ) |  |  |

Query a specific configuration key for slaves of type protocol when dealing with host.

reset | ( |  | self ) |

Undo any changes made by calls to setConfigData.

setConfigData | ( | self, |
|  | QString | protocol,
|  | QString | host,
|  | QString | key,
|  | QString | value
| ) |  |  |

Configure slaves of type protocol with config. If host is specified the configuration only applies when dealing with host.

Changes made to the slave configuration only apply to slaves used by the current process.

setConfigData | ( | self, |
|  | QString | protocol,
|  | QString | host,
|  | KIO.MetaData | config
| ) |  |  |

Configure slaves of type protocol with config. If host is specified the configuration only applies when dealing with host.

Changes made to the slave configuration only apply to slaves used by the current process.

## Static Method Documentation

KIO.SlaveConfig self | ( |  | ) |